Page MenuHomePhabricator

MFA: Port the references feature to webpack: Merge mobile.references and mobile.references.gateway
Closed, ResolvedPublic8 Story Points

Description

Now mobile.startup has been ported to webpack we'll want to start thinking about how features are organised going forward. The mobile.references feature is loaded on startup by the Minerva skin and quite well contained so it makes sense to start with porting this feature first.

The references feature makes use of two modules:

  • mobile.references
  • mobile.references.gateway

Acceptance criteria

  • There is no or mobile.references.gateway modules -these are now part of mobile.startup ! yay! (Thus: the references code is loaded in the initial JS bundle for Minerva)
  • There is no mobile.references module -these are now part of mobile.startup ! yay! (Thus: the references code is loaded in the initial JS bundle for Minerva)
  • Reference feature is shipped inside mobile.startup
  • Tests for mobile.references.gateway can be run in headless mode.
  • Tests for ReferencesDrawer can be run in headless mode.
  • We have thought about how to organise "features" in Minerva.
  • mobile.references.images is merged with mobile.startup.images (no alias needed)
  • Minerva is retained in a mergeable state throughout the migration: This can be done in 3 patches. 1) making the move and making mobile.references symlink to mobile.startup 2) updating Minerva 3) removing the mobile.references symlink.
  • A good conversation has been had by all involved about how we plan to migrate other features e.g. search, watchstar and T208921 has been updated with any practical details.

Sign off steps

  • Progress is updated.
  • The watchstar (T208921) and/or search features makes sense to be ported next. Create/update cards.

Event Timeline

Jdlrobson updated the task description. (Show Details)Oct 23 2018, 11:21 PM
Jdlrobson updated the task description. (Show Details)Nov 6 2018, 6:38 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)Nov 6 2018, 6:52 PM

We did an async estimation : @pmiazga: 3, @Stephen: 8, @Jdlrobson: 5, @nray: 5
@ovasileva let's quikcly talk through this in prioritisation tomorrow.

Jdlrobson updated the task description. (Show Details)Nov 7 2018, 12:55 AM

Change 472571 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] mobile.references.images is merged into mobile.startup.images

https://gerrit.wikimedia.org/r/472571

Change 472572 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Merge mobile.references.gateway into mobile.startup

https://gerrit.wikimedia.org/r/472572

Change 472573 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Merge mobile.references into mobile.startup

https://gerrit.wikimedia.org/r/472573

Change 472574 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Update references to deprecated modules

https://gerrit.wikimedia.org/r/472574

Change 472575 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Update references to deprecated modules

https://gerrit.wikimedia.org/r/472575

Change 472576 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Remove the mobile.references module now all references have been updated

https://gerrit.wikimedia.org/r/472576

Change 472575 abandoned by Jdlrobson:
Update references to deprecated modules

Reason:
Squashing into https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MobileFrontend/ /472572/1

https://gerrit.wikimedia.org/r/472575

Change 472571 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] mobile.references.images is merged into mobile.startup.images

https://gerrit.wikimedia.org/r/472571

1 big patch merged! Still more AC to do so I'm moving to Needs More Work column

Jdlrobson updated the task description. (Show Details)Nov 15 2018, 1:32 AM

Change 472572 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Merge mobile.references.gateway into mobile.startup

https://gerrit.wikimedia.org/r/472572

Change 472573 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Merge mobile.references into mobile.startup

https://gerrit.wikimedia.org/r/472573

Change 472574 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Update references to deprecated modules

https://gerrit.wikimedia.org/r/472574

Jdlrobson updated the task description. (Show Details)Nov 16 2018, 6:21 PM
Jdlrobson updated the task description. (Show Details)Nov 16 2018, 6:26 PM
Jdlrobson updated the task description. (Show Details)
Restricted Application added a subscriber: Gilles. · View Herald TranscriptNov 19 2018, 6:11 PM
Jdlrobson renamed this task from Port the references feature to webpack: Merge mobile.references and mobile.references.gateway to MFA: Port the references feature to webpack: Merge mobile.references and mobile.references.gateway.Nov 20 2018, 5:51 PM

The last patch standing is https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/MobileFrontend/+/472576/
Once that's done I'll switch gears to conversation mode!

Change 472576 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove the mobile.references module now all references have been updated

https://gerrit.wikimedia.org/r/472576

Jdrewniak updated the task description. (Show Details)Nov 21 2018, 2:37 PM

Change 475828 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Organise src folder by feature

https://gerrit.wikimedia.org/r/475828

We talked about this today. We felt that organising by feature sounds useful, however we believe when we start code splitting we may want to revisit this folder structure again.
The patch https://gerrit.wikimedia.org/r/475828 moves the references code into the references feature folder.

Stephen says he'll review this.

Change 475828 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Organise src folder by feature

https://gerrit.wikimedia.org/r/475828

Niedzielski removed Niedzielski as the assignee of this task.Nov 29 2018, 6:03 PM
Niedzielski added a subscriber: Niedzielski.
Niedzielski closed this task as Resolved.Dec 3 2018, 8:56 PM

Looks good to me!